% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_doc_lizard.R
\docType{data}
\name{lizard}
\alias{lizard}
\title{Lizard data}
\format{
A data frame with 24 rows and three columns.
\describe{
\item{month}{the month in which the measurements were taken}
\item{size}{the size of the Eastern Horned Lizards}
\item{ants}{the number of ants consumed}
}
}
\source{
Manly (2007)
}
\usage{
data(lizard)
}
\description{
The data come from Manly (2007) and relate to the number of ants consumed by
two sizes of Eastern Horned Lizards over a four month period.
}
\examples{
attach(lizard)
gen_cor(x = ants, y = month, z = size, U = 3, V = 3, W = 1)
}
\references{
Manly, B. F. J. (2007). Randomization, Bootstrap and Monte Carlo Methods in Biology, Third Edition. Boca Raton: Chapman & Hall/CRC.
}
\keyword{RBD}
\keyword{datasets}
\keyword{lizard}
